import { unitSelect } from "@/services/craft";
import { bmTableFileSelect } from "@/services/platform";
import regValue from "@/utils/regValue";
export default {
  tableNo: {
    value: null,
    type: "input",
    title: "标签模板编号",
    name: ["tableNo"],
    required: true,
  },
  tableName: {
    value: null,
    type: "input",
    title: "标签模板名称",
    name: ["tableName"],
    required: true,
  },
  tableType: {
    value: null,
    type: "select",
    title: "标签模板类别",
    name: ["tableType"],
    required: true,
    options: {
      database: unitSelect,
      params: { dicKey: "table_template" },
    },
  },
  length: {
    value: null,
    title: "标签长度（cm）",
    type: "inputnumber",
    name: ["length"],
    required: true,
    ...regValue(null, 6, 3),
  },
  width: {
    value: null,
    title: "标签宽度（cm）",
    type: "inputnumber",
    name: ["width"],
    required: true,
    ...regValue(null, 6, 3),
  },
  tableFileId: {
    value: null,
    type: "select",
    title: "标签模板",
    name: ["tableFileId"],
    required: true,
    options: {
      database: bmTableFileSelect,
      params: { tableType: 0 },
    },
  },
  remark: {
    value: null,
    type: "textarea",
    title: "描述",
    name: ["remark"],
    required: false,
    col: { span: 24 },
  },
};
